from __future__ import print_function
import numpy as np
from vtk import vtkXMLPImageDataReader
from vtk.util import numpy_support
import glob
import matplotlib
#matplotlib.use('TkAgg')
from matplotlib import pyplot as plt
from matplotlib import rc
from matplotlib.colors import SymLogNorm

img_file_name = 'ot_deltaf_energy.eps'

rc('text', usetex=True)
rc('font', family='serif')

fig,ax = plt.subplots(figsize=(7.5,1.75))

ax.set_xlabel(r'$t / \Omega_{i,0}$')
ax.set_ylabel(r'$1-\mathcal{E}\,/\,\mathcal{E}(t=0)$')


######## total energy
#
output_directory_path = "ot_vlasov_512x34xx_a1_m100_pfc_deltaf_mcorr_Qcweno_dp"
path = output_directory_path + "/csv/*.csv"
data_sum = np.loadtxt(path[:-5]+"output_0_0_0.csv", delimiter=' ')
num_rows = data_sum.shape[0]
data_sum[:,1:] = 0.

files = glob.glob(path)
num_files = len(files)

i = 0
for fname in files:
  data = np.loadtxt(fname, delimiter=' ')
  num_rows = min(num_rows,data.shape[0])
  data_sum[:num_rows,1:] += data[:num_rows,1:]

time = data_sum[:num_rows,0]
electric_energy = data_sum[:num_rows,1]
magnetic_energy = data_sum[:num_rows,2]
kinetic_energy_e = data_sum[:num_rows,7]
thermal_energy_e = data_sum[:num_rows,8]
kinetic_energy_i = data_sum[:num_rows,13]
thermal_energy_i = data_sum[:num_rows,14]

energy = electric_energy[:] + magnetic_energy[:] + kinetic_energy_e[:] + \
          thermal_energy_e[:] + kinetic_energy_i[:] + thermal_energy_i[:]
im0 = ax.plot(time[:], 1.-energy[:]/energy[0], color="black", linestyle="-")
ax.set_xlim([0.,time[len(time)-1]])
#ax.set_ylim([1.-7e-5,1.+7e-5])
#ax.get_yaxis().get_major_formatter().set_useOffset(False)
ax.yaxis.grid(True)

# write file
plt.tight_layout()
plt.savefig(img_file_name, bbox_inches='tight', dpi=300)

